#include<iostream>
using namespace std;
int main()
{
    int x,n,rez;
    cin>>n>>x;
    int mina=x,maxa=x,rastmax,rastmin;
    int a[n];
    for(int i=1;i<=n;i++){
        cin>>a[i];
         if(mina>a[i]){
                mina=a[i];
            }
            if(maxa<a[i]){
                maxa=a[i];
            }
    }
    
        rastmin=mina-x;
        if(rastmin<0){
        rastmin=rastmin-rastmin-rastmin;
        }
    rastmax=maxa-x;
    if(rastmax<0){
        rastmax=rastmax-rastmax-rastmax;
    }
    if(rastmax>rastmin){
        rez=rastmin+rastmin+rastmax;
    }
    else{
        rez=rastmax+rastmax+rastmin;
    }
    cout<<rez;
    return 0;
}